/*
getcookie.c - get cookie from DSBL server for batch testing
Copyright (C) 2002, 2003 Ian Gulliver & Paul Howarth

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <stdlib.h>
#include <stdio.h>
#include <firestring.h>
#include "testlib.h"

/* return values:
 *   0 - got cookie OK
 *   1 - problem getting cookie
 *   3 - timeout
 * 100 - format or internal error
 */
int main(int argc, char **argv) {

	setalarm();

	if (argc != 1) {
		fprintf(stderr,"Usage: %s\n",argv[0]);
		exit(100);
	}

	readconf();

	printf("%s\n", getcookiefromserver());

	exit (0);
}
